## org.hornetq.api.core.management
Interface ClusterConnectionControl

All Superinterfaces:
  HornetQComponentControl

    public interface ClusterConnectionControl

extends HornetQComponentControl

A ClusterConnectionControl is used to manage a cluster connection.

Author:
  Jeff Mesnil

Method Summary
`String` `getAddress()` Returns the address used by this cluster connection.
`String` `getDiscoveryGroupName()` Returns the name of the discovery group used by this cluster connection.
`int` `getMaxHops()` Returns the maximum number of hops used by this cluster connection.
`String` `getName()` Returns the configuration name of this cluster connection.
`String` `getNodeID()` Returns the node ID used by this cluster connection.
`Map<String,String>` `getNodes()` Returns a map of the nodes connected to this cluster connection.
`long` `getRetryInterval()` Returns the connection retry interval used by this cluster connection.
`Object[]` `getStaticConnectors()` Returns the list of static connectors
`String` `getStaticConnectorsAsJSON()` Returns the list of static connectors as JSON
`String` `getTopology()` Return the Topology that this Cluster Connection knows about
`boolean` `isDuplicateDetection()` Return whether this cluster connection use duplicate detection.
`boolean` `isForwardWhenNoConsumers()` Return whether this cluster connection forward messages when it has no local consumers.

Methods inherited from interface org.hornetq.api.core.management.HornetQComponentControl
`isStarted, start, stop`

Method Detail

### getName

    String getName()

  Returns the configuration name of this cluster connection.

### getAddress

    String getAddress()

  Returns the address used by this cluster connection.

### getNodeID

    String getNodeID()

  Returns the node ID used by this cluster connection.

### isDuplicateDetection

    boolean isDuplicateDetection()

  Return whether this cluster connection use duplicate detection.

### isForwardWhenNoConsumers

    boolean isForwardWhenNoConsumers()

  Return whether this cluster connection forward messages when it has no local consumers.

### getTopology

    String getTopology()

  Return the Topology that this Cluster Connection knows about

### getMaxHops

    int getMaxHops()

  Returns the maximum number of hops used by this cluster connection.

### getStaticConnectors

    Object[] getStaticConnectors()

  Returns the list of static connectors

### getStaticConnectorsAsJSON

    String getStaticConnectorsAsJSON()
                                     throws Exception

  Returns the list of static connectors as JSON

  Throws:
    `Exception`

### getDiscoveryGroupName

    String getDiscoveryGroupName()

  Returns the name of the discovery group used by this cluster connection.

### getRetryInterval

    long getRetryInterval()

  Returns the connection retry interval used by this cluster connection.

### getNodes

    Map<String,String> getNodes()
                                throws Exception

  Returns a map of the nodes connected to this cluster connection.
  keys are node IDs, values are the addresses used to connect to the nodes.

  Throws:
    `Exception`

Copyright © 2009 Red Hat Inc. All Rights Reserved.